Zero-Knowledge Verification (v2)
Resend MFA Challenge with Rotated Nonce (v2)
POST
Resends the verification challenge code subject to workflow cooldown rules and issues a fresh challenge nonce.
header
X-Api-Key<token>SMS Pro API Key (sk_live_... or sk_test_...)
application/json- body
challengeId*stringchannel?stringChallenge code resent with fresh challenge nonce
application/json- response
status?stringdata?curl -X POST 'https://api.smspro.com/api/v2/public/mfa/resend' \ -H 'Content-Type: application/json' \ -d '{ "challengeId": "string"}'Example Response
{ "status": "string", "data": { "challengeId": "string", "status": "string", "channel": "string", "maskedPhone": "string", "attemptsRemaining": 0, "expiresAt": "2019-08-24T14:15:22Z", "resendAvailableAt": "2019-08-24T14:15:22Z", "message": "string", "challengeNonce": "string", "proofAlgorithm": "string", "proofFormat": "string" }}